import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import { Quasar } from 'quasar';
import quasarUserOptions from './quasar-user-options';
import i18n from './i18n';

const app = createApp(App).use(i18n).use(Quasar, quasarUserOptions).use(router);

app.mount('#app');

import axios from 'axios';

import { useSession } from '@/core/composables/useSession';
const { getToken } = useSession();

axios.interceptors.request.use(
    function (context) {
        const token = getToken();

        if (token.length && context.headers) {
            context.headers.Authorization = token;
        }

        return context;
    },
    function (error) {
        return Promise.reject(error);
    }
);
