module.exports = {
    pluginOptions: {
        quasar: {
            importStrategy: 'kebab',
            rtlSupport: false,
        },
        i18n: {
            locale: 'es',
            fallbackLocale: 'en',
            localeDir: 'locales',
            enableLegacy: false,
            runtimeOnly: false,
            compositionOnly: false,
            fullInstall: true,
        },
    },
    css: {
        loaderOptions: {
            sass: {
                additionalData: `@import "@/styles/quasar.variables.scss";`,
            },
        },
    },
    transpileDependencies: ['quasar'],
    devServer: {
        proxy: {
            '^/api': {
                target: 'http://localhost:3000',
                logLevel: 'debug',
                changeOrigin: true,
                secure: false,
            },
        },
    },
};
